curl -X DELETE 'https://api.weir.ai/org/client/cli_123456789' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"message": "Client deleted successfully",
"status": "success"
}
Console APIs - Clients
Delete API Client
Delete an API client
DELETE
/
org
/
client
/
:clientId
curl -X DELETE 'https://api.weir.ai/org/client/cli_123456789' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"message": "Client deleted successfully",
"status": "success"
}
Delete API Client
Permanently delete an API client and revoke its credentials.Caution: All API requests using this client’s credentials will immediately fail after deletion.
curl -X DELETE 'https://api.weir.ai/org/client/cli_123456789' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"message": "Client deleted successfully",
"status": "success"
}
Path Parameters
string
required
Unique identifier of the client to delete.
Usage Examples
const deleteClient = async (clientId, accessToken) => {
const response = await fetch(`https://api.weir.ai/org/client/${clientId}`, {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${accessToken}`,
'x-source': 'console'
}
});
if (!response.ok) throw new Error(`HTTP error! status: ${response.status}`);
return await response.json();
};
import requests
def delete_client(client_id, access_token):
response = requests.delete(
f'https://api.weir.ai/org/client/{client_id}',
headers={
'Authorization': f'Bearer {access_token}',
'x-source': 'console'
}
)
response.raise_for_status()
return response.json()
Was this page helpful?